%global pypi_name joblib

Name:           python-%{pypi_name}
Version:        0.14.0
Release:        3
Summary:        Utilities to provide lightweight pipelining in Python
License:        BSD-licenced (3 clause)
URL:            https://joblib.readthedocs.io/en/latest/
Source0:        https://github.com/joblib/joblib/archive/0.14.0.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
#test requires
BuildRequires:  python3-pytest
BuildRequires:  python3-threadpoolctl

%global _description \
Joblib is a set of tools to provide lightweight pipelining in Python.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install


%check
export PYTHONPATH=$(pwd)
py.test-%{python3_version} joblib

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst CHANGES.rst
%{python3_sitelib}/%{pypi_name}-*.egg-info/
%{python3_sitelib}/%{pypi_name}/

%changelog
* Fri Feb 14 2020 gulining<gulining1@huawei.com> - 0.14.0-3
- Init package
